Bug 478291 - Review Request: shtool - Portable shell tool
Review Request: shtool - Portable shell tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 05:57 EST by Fabian Affolter
Modified: 2013-05-01 06:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.0.8-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-27 05:57:47 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/shtool.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/shtool-2.0.8-1.fc9.src.rpm

Project URL: http://www.gnu.org/software/shtool/

Description:
GNU shtool is a compilation of small but very stable and portable
shell scripts into a single shell tool. All ingredients were in
successful use over many years in various free software projects.
The compiled shtool program is intended to be used inside the source
tree of other free software packages. There it can overtake various
(usually non-portable) tasks related to the building and installation
of such a package. It especially can replace the old mkdir.sh,
install.sh and related scripts. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1022748

rpmlint output:
[fab@laptop024 noarch]$ rpmlint shtool-2.0.8-1.fc9.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint shtool-2.0.8-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Jason Tibbitts 2009-03-07 17:24:45 EST
This builds fine and rpmlint is quiet.  However, a couple of comments:

Any reason for not running the included test suite?  It seems to work fine for me with just
  %check
  make check

Does this really depend on Perl?  It seems that it will call Perl if it is present in various cases, but that it doesn't actually depend on it.  rpm of course doesn't know that and generates a /usr/bin/perl dependency anyway.


* source files match upstream.  sha256sum:
   1298a549416d12af239e9f4e787e6e6509210afb49d5cf28eb6ec4015046ae19  
   shtool-2.0.8.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none).
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
? final provides and requires:
   shtool = 2.0.8-1.fc11
  =
   /bin/sh
?  /usr/bin/perl
?  perl >= 0:5.000
?  perl(strict)

X %check is not present, but a test suite exists and is easily callable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.
Comment 2 Fabian Affolter 2009-03-08 17:34:19 EDT
(In reply to comment #1)
> Any reason for not running the included test suite?  It seems to work fine for
> me with just
>   %check
>   make check

Added, thanks.

> Does this really depend on Perl?  It seems that it will call Perl if it is
> present in various cases, but that it doesn't actually depend on it.  rpm of
> course doesn't know that and generates a /usr/bin/perl dependency anyway.

'shtoolize' has a perl shebang.

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/shtool.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/shtool-2.0.8-2.fc10.src.rpm
Comment 3 Jason Tibbitts 2009-03-24 17:44:00 EDT
Somehow I missed your comment; sorry about that.

This package looks fine, thanks.  APPROVED
Comment 4 Fabian Affolter 2009-03-24 18:07:44 EDT
Thanks for the review, Jason.
Comment 5 Fabian Affolter 2009-03-24 18:08:21 EDT
New Package CVS Request
=======================
Package Name: shtool
Short Description: Portable shell tool
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 6 Kevin Fenzi 2009-03-27 16:30:30 EDT
cvs done.
Comment 7 Fedora Update System 2009-03-31 16:30:54 EDT
shtool-2.0.8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shtool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3170
Comment 8 Fedora Update System 2009-03-31 16:37:13 EDT
shtool-2.0.8-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update shtool'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3165
Comment 9 Fedora Update System 2009-04-09 12:09:05 EDT
shtool-2.0.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-04-09 12:11:09 EDT
shtool-2.0.8-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Orion Poplawski 2011-12-21 00:37:02 EST
This would be nice to see in EPEL.  Fabian - do you want to support it there or shall I?
Comment 12 Christopher Meng 2013-04-20 07:16:03 EDT
(In reply to comment #11)
> This would be nice to see in EPEL.  Fabian - do you want to support it there
> or shall I?

Any new progress now?
Comment 13 Orion Poplawski 2013-04-30 22:18:02 EDT
Package Change Request
======================
Package Name: shtool
New Branches: el6
Owners: orion
InitialCC: 

No response, so I'll take it.
Comment 14 Gwyn Ciesla 2013-05-01 06:55:57 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.